Products

SpamSieve (box): £22.99

 

System requirements:

  • Mac OS X 10.7
  • Mac OS X 10.8 / Mac OS X 10.9 / Mac OS X 10.10 / Mac OS X 10.11
  • Mac OS X 10.13
  • 1GHz Intel Mac Core Solo
  • 16MB HDD
  • 128MB RAM
An e-mail client: Apple Mail, Emailer 2.0v3, Entourage v.X (2001) and later, Eudora 5.x or 6.x, GyazMail 1.2.0 and later, Mailsmith 2.2, Outlook Express 5.0 and later, Powermail 4.0 and later, Thunderbird 1.5.0.0 or 2.x

Screenshots

id="ie_clearing"> 

Copyright © 2019 Application Systems London | Contact | Terms | Privacy Policy